## org.eclipse.emf.cdo.ui.defs.impl
Class CDOEditorDefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.net4j.util.defs.impl.DefImpl
                      org.eclipse.emf.cdo.ui.defs.impl.EditorDefImpl
                          org.eclipse.emf.cdo.ui.defs.impl.CDOEditorDefImpl

All Implemented Interfaces:
  CDOEditorDef, EditorDef, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.net4j.util.defs.Def

    public class CDOEditorDefImpl

extends EditorDefImpl
implements CDOEditorDef

An implementation of the model object ' View Editor Def'.

The following features are implemented:

- `Cdo View`
- `Resource Path`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected CDOViewDef` `cdoView` The cached value of the '`Cdo View`' reference.
`protected IPartListener` `partListener`
`protected static java.lang.String` `RESOURCE_PATH_EDEFAULT` The default value of the '`Resource Path`' attribute.
`protected java.lang.String` `resourcePath` The cached value of the '`Resource Path`' attribute.

Fields inherited from class org.eclipse.emf.cdo.ui.defs.impl.EditorDefImpl
`EDITOR_ID_EDEFAULT, editorID`

Fields inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`instanceListener, touchedAdapter`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CDOEditorDefImpl()`

Method Summary
`CDOViewDef` `basicGetCdoView()`
`protected java.lang.Object` `createInstance()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`CDOViewDef` `getCdoView()`
`java.lang.String` `getResourcePath()`
`protected void` `handleDeactivation(java.lang.Object instance)`
`void` `setCdoView(CDOViewDef newCdoView)`
`void` `setResourcePath(java.lang.String newResourcePath)`
`java.lang.String` `toString()`
`void` `unsetInstance()`
`protected void` `unwireInstance(java.lang.Object instance)`
`protected void` `validateDefinition()`
`protected void` `wireInstance(java.lang.Object instance)`

Methods inherited from class org.eclipse.emf.cdo.ui.defs.impl.EditorDefImpl
`getEditorID, setEditorID`

Methods inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`activateInstance, areReferencedDefsTouched, deactivateInstance, getInstance, getInternalInstance, isSetInstance, isTouched`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.ui.defs.EditorDef
`getEditorID, setEditorID`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### cdoView

    protected CDOViewDef cdoView

  The cached value of the '`Cdo View`' reference.

  See Also:
    `getCdoView()`

### RESOURCE_PATH_EDEFAULT

    protected static final java.lang.String RESOURCE_PATH_EDEFAULT

  The default value of the '`Resource Path`' attribute.

  See Also:
    `getResourcePath()`

### resourcePath

    protected java.lang.String resourcePath

  The cached value of the '`Resource Path`' attribute.

  See Also:
    `getResourcePath()`

### partListener

    protected IPartListener partListener

Constructor Detail

### CDOEditorDefImpl

    protected CDOEditorDefImpl()

Method Detail

### unsetInstance

    public void unsetInstance()

  Specified by:
    `unsetInstance` in interface `org.eclipse.net4j.util.defs.Def`
  Overrides:
    `unsetInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### handleDeactivation

    protected void handleDeactivation(java.lang.Object instance)

  Overrides:
    `handleDeactivation` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### unwireInstance

    protected void unwireInstance(java.lang.Object instance)

  Overrides:
    `unwireInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### wireInstance

    protected void wireInstance(java.lang.Object instance)

  Overrides:
    `wireInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EditorDefImpl`

### getCdoView

    public CDOViewDef getCdoView()

  Specified by:
    `getCdoView` in interface `CDOEditorDef`
  Returns:
    the value of the 'Cdo View' reference.
  See Also:
    `CDOEditorDef.setCdoView(CDOViewDef)`, `CDOUIDefsPackage.getCDOEditorDef_CdoView()`

### basicGetCdoView

    public CDOViewDef basicGetCdoView()

### setCdoView

    public void setCdoView(CDOViewDef newCdoView)

  Specified by:
    `setCdoView` in interface `CDOEditorDef`
  Parameters:
    `newCdoView` - the new value of the 'Cdo View' reference.
  See Also:
    `CDOEditorDef.getCdoView()`

### getResourcePath

    public java.lang.String getResourcePath()

  Specified by:
    `getResourcePath` in interface `CDOEditorDef`
  Returns:
    the value of the 'Resource Path' attribute.
  See Also:
    `CDOEditorDef.setResourcePath(String)`, `CDOUIDefsPackage.getCDOEditorDef_ResourcePath()`

### setResourcePath

    public void setResourcePath(java.lang.String newResourcePath)

  Specified by:
    `setResourcePath` in interface `CDOEditorDef`
  Parameters:
    `newResourcePath` - the new value of the 'Resource Path' attribute.
  See Also:
    `CDOEditorDef.getResourcePath()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `EditorDefImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `EditorDefImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `EditorDefImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `EditorDefImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EditorDefImpl`

### createInstance

    protected java.lang.Object createInstance()

  Overrides:
    `createInstance` in class `EditorDefImpl`

### validateDefinition

    protected void validateDefinition()

  Overrides:
    `validateDefinition` in class `EditorDefImpl`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.